## org.apache.maven.shared.model.fileset.mappers
Class MapperUtil

    java.lang.Object
      org.apache.maven.shared.model.fileset.mappers.MapperUtil

    public final class MapperUtil

extends java.lang.Object

Element to define a FileNameMapper.

Version:
  $Id: MapperUtil.java 661727 2008-05-30 14:21:49Z bentmann $

Method Summary
`static FileNameMapper` `getFileNameMapper(org.apache.maven.shared.model.fileset.Mapper mapper)` Returns a fully configured FileNameMapper implementation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getFileNameMapper

    public static FileNameMapper getFileNameMapper(org.apache.maven.shared.model.fileset.Mapper mapper)
                                            throws MapperException

  Returns a fully configured FileNameMapper implementation.

  Parameters:
    `mapper` -
  Returns:
  Throws:
    `MapperException`

Copyright © 2011. All Rights Reserved.